Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.volsurf.ProgressBar

class `mvpa2.misc.surfing.volsurf.``ProgressBar`(start_time=None, progress_bar_width=18, show_percentage=True)

  Simple progress bar in ASCII text

  Methods

  Initializes the progress bar

  Parameters:

  start_time: float or None (default)

  > Start time relative to the start of the Epoch. If None it takes the current time.

  progress_bar_width: int (default: 18)

  > Width of progress bar. If zero then no progress bar is shown.

  show_percentage: bool (default: True)

  > Show progress in percentage?

  Methods

  `start`(start_time=None)

    Resets the start time

    Parameters:

    start_time: float or None (default)

    > Start time relative to the start of the Epoch. If None it takes the current time.